| Fling Engine 0.00.1 Fling Engine is a game engine written in Vulkan

Public Member Functions | Static Public Member Functions | Data Fields | Friends
Fling::Transform Struct Reference

`#include <Transform.h>`

## Public Member Functions
glm::mat4 | GetWorldMatrix () const
bool | operator== (const Transform &other) const
bool | operator!= (const Transform &other) const
template<class Archive >
void | serialize (Archive &t_Archive)
| Serilazation to an archive. More...
const glm::vec3 & | GetPos () const
const glm::vec3 & | GetScale () const
const glm::vec3 & | GetRotation () const
const glm::mat4 & | GetWorldMat () const
void | SetPos (const glm::vec3 &t_Pos)
void | SetScale (const glm::vec3 &t_Scale)
void | SetRotation (const glm::vec3 &t_Rot)

## Static Public Member Functions
static void | CalculateWorldMatrix (Transform &t_Trans)

## Data Fields
glm::vec3 | m_Pos { 0.0f, 0.0f, 0.0f }
glm::vec3 | m_Rotation { 0.0f, 0.0f, 0.0f }
glm::vec3 | m_Scale { 1.0f, 1.0f, 1.0f }
glm::mat4 | m_worldMat {}

## Friends
std::ostream & | operator<< (std::ostream &t_OutStream, const Fling::Transform &t_Transform)

## Member Function Documentation

## ◆ CalculateWorldMatrix()

void Fling::Transform::CalculateWorldMatrix | ( | Transform & | t_Trans | ) |
| static

## ◆ GetPos()

const glm::vec3& Fling::Transform::GetPos | ( |  | ) | const
| inline

## ◆ GetRotation()

const glm::vec3& Fling::Transform::GetRotation | ( |  | ) | const
| inline

## ◆ GetScale()

const glm::vec3& Fling::Transform::GetScale | ( |  | ) | const
| inline

## ◆ GetWorldMat()

const glm::mat4& Fling::Transform::GetWorldMat | ( |  | ) | const
| inline

## ◆ GetWorldMatrix()

glm::mat4 Fling::Transform::GetWorldMatrix | ( |  | ) | const

## ◆ operator!=()

bool Fling::Transform::operator!= | ( | const Transform & | other | ) | const

## ◆ operator==()

bool Fling::Transform::operator== | ( | const Transform & | other | ) | const

## ◆ serialize()

template<class Archive >

void Fling::Transform::serialize | ( | Archive & | t_Archive | ) |

Serilazation to an archive.

## ◆ SetPos()

void Fling::Transform::SetPos | ( | const glm::vec3 & | t_Pos | ) |

## ◆ SetRotation()

void Fling::Transform::SetRotation | ( | const glm::vec3 & | t_Rot | ) |

## ◆ SetScale()

void Fling::Transform::SetScale | ( | const glm::vec3 & | t_Scale | ) |

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | t_OutStream,
|  | const Fling::Transform & | t_Transform
| ) |  |
| friend

## Field Documentation

## ◆ m_Pos

glm::vec3 Fling::Transform::m_Pos { 0.0f, 0.0f, 0.0f }

## ◆ m_Rotation

glm::vec3 Fling::Transform::m_Rotation { 0.0f, 0.0f, 0.0f }

## ◆ m_Scale

glm::vec3 Fling::Transform::m_Scale { 1.0f, 1.0f, 1.0f }

## ◆ m_worldMat

glm::mat4 Fling::Transform::m_worldMat {}

The documentation for this struct was generated from the following files:

- FlingEngine/Gameplay/inc/Components/Transform.h
- FlingEngine/Gameplay/src/Components/Transform.cpp